# This file is part of FixDeps.
# Copyright  2004-2005 Graham Shaw.
# Distribution and use are subject to the GNU General Public License,
# a copy of which may be found in the file !FixDeps.Copyright.

AS = gcc
CC = gcc
CXX = gcc
LD = gcc
AR = libfile
FIXDEPS = fixdeps

.SUFFIXES: .o .s .c .cc .d .dd 

.s.o:
	$(AS) -c $(ASFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CPPFLAGS) $(CCFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CPPFLAGS) $(CXXFLAGS) -o $@ $<

.c.dd:
	$(CC) -MM $(CPPFLAGS) $< > $@

.cc.dd:
	$(CXX) -MM $(CPPFLAGS) $< > $@

.dd.d:
	$(FIXDEPS) $* < $< > $@

.DELETE_ON_ERROR:
